Bug 112124 - less hangs when opening lastlog
less hangs when opening lastlog
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: less (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-15 00:05 EST by Florin Andrei
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-14 07:47:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florin Andrei 2003-12-15 00:05:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031108

Description of problem:
Did a fresh install of FC1
Logged in via ssh
Went to /var/log
Did a "less lastlog"

less is now frozen, eating up 100% CPU

Version-Release number of selected component (if applicable):
less-378-11.1

How reproducible:
Didn't try


Additional info:
Comment 1 Karsten Hopp 2004-01-14 07:47:55 EST
I cannot reproduce this. less works as expected on my system. 
How big is your /var/log/lastlog file and can you reproduce this 
problem ? If it is reproducable, please attach the relevant parts of 
a strace to this report. 
Comment 2 Need Real Name 2004-03-09 01:48:29 EST
I can reproduce this, and I am on today's update to less-382-1.1. 
However, I just noticed something about my actual lastlog file:

$ ls -l lastlog
-rw-r--r--    1 root     root     19136220 Feb 26 16:31 lastlog

$ du -sh lastlog
56K     lastlog

Huh??  At first I thought I had some filesystem corruption or
something.. but then I noticed the lastlog file is *exactly* the same
size on my FC1 laptop.  That can't be a coincidence, so perhaps the
file is being corrupted somehow by whatever writes to it.  That's
another problem, but I'll submit this anyway in the hopes that it will
help clear up this issue.

Fwiw, less still responds to "^\" (SIGQUIT), so it is not totally
unresponsive.

/var/log$ file lastlog
lastlog: UTF-8 Unicode text, with no line terminators

$ echo $LANG
en_US

$ echo $SUPPORTED
en_US:en:en_US.UTF-8

$ strace -p 13440
Process 13440 attached - interrupt to quit
munmap(0xbe0f5000, 4263936)             = 0
munmap(0xbf137000, 4263936)             = 0
mmap2(NULL, 4263936, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbf137000
mmap2(NULL, 4263936, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe0f5000
munmap(0xbe506000, 4263936)             = 0
munmap(0xbe917000, 4263936)             = 0
mmap2(NULL, 4268032, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe916000
mmap2(NULL, 4268032, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbdce3000
munmap(0xbe0f5000, 4263936)             = 0
munmap(0xbf137000, 4263936)             = 0
mmap2(NULL, 4268032, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbf136000
mmap2(NULL, 4268032, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe504000
munmap(0xbdce3000, 4268032)             = 0
munmap(0xbe916000, 4268032)             = 0
mmap2(NULL, 4268032, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe916000
mmap2(NULL, 4268032, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe0f2000
munmap(0xbe504000, 4268032)             = 0
munmap(0xbf136000, 4268032)             = 0
mmap2(NULL, 4268032, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbf136000
mmap2(NULL, 4268032, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe504000
munmap(0xbe0f2000, 4268032)             = 0
munmap(0xbe916000, 4268032)             = 0
mmap2(NULL, 4272128, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe0f1000
mmap2(NULL, 4272128, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbdcde000
munmap(0xbe504000, 4268032)             = 0
munmap(0xbf136000, 4268032)             = 0
mmap2(NULL, 4272128, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbf135000
mmap2(NULL, 4272128, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbed22000
munmap(0xbdcde000, 4272128)             = 0
munmap(0xbe0f1000, 4272128)             = 0
read(4, "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"...,
8192) = 8192
mmap2(NULL, 4272128, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe90f000
mmap2(NULL, 4272128, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe4fc000
munmap(0xbed22000, 4272128)             = 0
munmap(0xbf135000, 4272128)             = 0
mmap2(NULL, 4272128, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbf135000
mmap2(NULL, 4272128, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbed22000
munmap(0xbe4fc000, 4272128)             = 0
munmap(0xbe90f000, 4272128)             = 0
mmap2(NULL, 4276224, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe90e000
mmap2(NULL, 4276224, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe4fa000
munmap(0xbed22000, 4272128)             = 0
munmap(0xbf135000, 4272128)             = 0
mmap2(NULL, 4276224, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbf134000
mmap2(NULL, 4276224, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe0e6000
munmap(0xbe4fa000, 4276224)             = 0
munmap(0xbe90e000, 4276224)             = 0
mmap2(NULL, 4276224, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe90e000
mmap2(NULL, 4276224, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe4fa000
munmap(0xbe0e6000, 4276224)             = 0
munmap(0xbf134000, 4276224)             = 0
mmap2(NULL, 4276224, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbf134000
mmap2(NULL, 4276224, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe0e6000
munmap(0xbe4fa000, 4276224)             = 0
munmap(0xbe90e000, 4276224)             = 0
mmap2(NULL, 4280320, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe90d000
mmap2(NULL, 4280320, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbdcd1000
munmap(0xbe0e6000, 4276224)             = 0
munmap(0xbf134000, 4276224)             = 0
mmap2(NULL, 4280320, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbf133000
mmap2(NULL, 4280320, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe4f8000
munmap(0xbdcd1000, 4280320)             = 0
munmap(0xbe90d000, 4280320)             = 0
read(4, "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"...,
8192) = 8192
mmap2(NULL, 4280320, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe90d000
mmap2(NULL, 4280320, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe0e3000
munmap(0xbe4f8000, 4280320)             = 0
munmap(0xbf133000, 4280320)             = 0
mmap2(NULL, 4280320, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbf133000
mmap2(NULL, 4280320, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe4f8000
munmap(0xbe0e3000, 4280320)             = 0
munmap(0xbe90d000, 4280320)             = 0
mmap2(NULL, 4284416, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe0e2000
mmap2(NULL, 4284416, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbdccc000
munmap(0xbe4f8000, 4280320)             = 0
munmap(0xbf133000, 4280320)             = 0
mmap2(NULL, 4284416, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbf132000
mmap2(NULL, 4284416, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbed1c000
munmap(0xbdccc000, 4284416)             = 0
munmap(0xbe0e2000, 4284416)             = 0
mmap2(NULL, 4284416, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe906000
mmap2(NULL, 4284416, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe4f0000
munmap(0xbed1c000, 4284416)             = 0
munmap(0xbf132000, 4284416)             = 0
mmap2(NULL, 4284416, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbf132000
mmap2(NULL, 4284416, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbed1c000
munmap(0xbe4f0000, 4284416)             = 0
munmap(0xbe906000, 4284416)             = 0
mmap2(NULL, 4288512, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe905000
mmap2(NULL, 4288512, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe4ee000
munmap(0xbed1c000, 4284416)             = 0
munmap(0xbf132000, 4284416)             = 0
mmap2(NULL, 4288512, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbf131000
mmap2(NULL, 4288512, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe0d7000
munmap(0xbe4ee000, 4288512)             = 0
munmap(0xbe905000, 4288512)             = 0
read(4, "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"...,
8192) = 8192
mmap2(NULL, 4288512, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe905000
mmap2(NULL, 4288512, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe4ee000
munmap(0xbe0d7000, 4288512)             = 0
munmap(0xbf131000, 4288512)             = 0
mmap2(NULL, 4288512, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbf131000
mmap2(NULL, 4288512, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe0d7000
munmap(0xbe4ee000, 4288512)             = 0
munmap(0xbe905000, 4288512)             = 0
mmap2(NULL, 4292608, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe904000
mmap2(NULL, 4292608, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbdcbf000
munmap(0xbe0d7000, 4288512)             = 0
munmap(0xbf131000, 4288512)             = 0
mmap2(NULL, 4292608, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbf130000
mmap2(NULL, 4292608, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe4ec000
munmap(0xbdcbf000, 4292608)             = 0
munmap(0xbe904000, 4292608)             = 0
mmap2(NULL, 4292608, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe904000
mmap2(NULL, 4292608, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe0d4000
munmap(0xbe4ec000, 4292608)             = 0
munmap(0xbf130000, 4292608)             = 0
mmap2(NULL, 4292608, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbf130000
mmap2(NULL, 4292608, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe4ec000
munmap(0xbe0d4000, 4292608)             = 0
munmap(0xbe904000, 4292608)             = 0
mmap2(NULL, 4296704, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbe0d3000
mmap2(NULL, 4296704, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xbdcba000

Note You need to log in before you can comment on or make changes to this bug.